index

Reset Windows Update Tool

Platforms: | Desktop.
Requirements: | Windows Vista, Windows 7, Windows 8, Windows 8.1 and Windows 10. Including both 32-bit and 64-bit versions.
Primary language: | EN-US.
Author: | Manuel Gil.
License: | MIT.

Description:

Reset Windows Update Tool is a command-line tool developed for use as a support of system repair options. This tool reset the Windows Update Components. Also is able to delete temporary files, scan, detect and repair corruptions with the Windows System image, scan all protected system files and replace any corrupted files, change invalid values in the Windows Registry, reset Winsock settings and more.

This tool can be modificated to be compatible with others versions of Microsoft Windows.

back to top

Index

Introduction

First steps

Diagnostic

Troubleshooting

Reset Windows Update Components

Repair Windows

Installing Updates

Endnotes


Introduction

The tool for Reset Windows Update Components work through command-line but need of basic requirements as a compatible operative system, run with the elevated privileges, etc.

Also required the user know and accept the Terms and Conditions of Use.

Requirements:

This tool is compatible with Windows XP, Windows Vista, Windows 7, Windows 8, Windows 8.1, Windows 10 and this can be modificated to be compatible with others versions of Windows as business or test versions.

When you run Reset Windows Update Tool is detected the version or build of the operative system determined the name and family of the operative system, e.g..

If the operating system is not compatible with this tool, display an error message and the tool will be closed, e.g..

back to top

Permits:

The Reset Windows Update Tool need to run with elevated privileges. To do this, Right-click on it and select "Run as administrator". Otherwise, display an error message, e.g..

back to top

Terms and Conditions of Use:

Because this tool modify files and registry settings, it is important to know the terms and conditions of use. As to accepting them, gives permission to the tool to make these changes.

The Terms and Conditions of Use are displayed on the screen waiting to be accepted, e.g..

Press the letter "Y" and the "Enter" key to agree. If you do not agree, you can choose to discontinue use this tool.

back to top

Index


First steps

The Reset Windows Update Tool has several support options as delete temporary files, change invalid values in the Windows Registry, reset Winsock settings, etc. These options appear in a selection list and are available dependent on operating system.

Functions:

This tool implements functions through command line. Some recovery functions are not available on all versions of Windows and the tool detects this type of availability to mitigate possible errors, e.g..

Type the number of functioss and press "Enter" to applying these corrections.

back to top

Before starting:

You can make some processes to ensure the proper functioning of the system.

1. Restart your PC and verify if problem persists.

2. Create both a System Restore Point.

3. Make sure that your system date, time and year settings are correct on your computer.

4. Disable antivirus software.


Diagnostic

It is recommended to perform some tests to simplify the incident and to find the best solution.

Restore Point:

In case that something failed, you can restore your computer at last restore point.

For create the Restore Point, in the main menu, select the first option. This option open the system protection window, e.g..

In this place, you can create a Restore Point. Only press the button "Create", e.g..

If this option is disabled, press the button "Configure" and select "Turn on system protection", e.g..

back to top

Removing temporary:

For delete temporary files, select the option "Delete temporary files in Windows". This option automatically deletes temporary files, e.g..

back to top

Reset Internet Explorer:

For Reset Internet Explorer, select the option "Open Internet Explorer options". This open the Internet Options, e.g..

In this window select the tab "Advanced" and press the button "Reset", e.g..

back to top

Automatically fix problem:

It is recommended run the Fix-It for Windows Update select the option, "Explore other local solutions", e.g..

The "Fix problem with Windows Update" displays an error code that helps us to find the solution to our incident. If this option don't show the error code, you can download a tool "fix-it" for search the error code.

Windows XP, Windows Vista: http://go.microsoft.com/?linkid=9767096

Windows 7, Windows 8, Windows 8.1: http://go.microsoft.com/?linkid=9830262

Windows 10: http://aka.ms/diag_wu


Troubleshooting

The main content of this tool is to Reset Windows Update Components. However, the development of it, allows us to perform other processes for solving problems.

It can be divided the correction processes into three groups:

Control processes are simple processes that may involve small changes in the system, for example: create a copy of the registry, restore Internet connections or restart the computer.

Correction processes are those that allow us to solve major problems in the system, for example: Reset Windows Update Components or Scans all protected system files.

Invasive processes are those who suggest repair or reinstall the system.

Change invalid values in the registry:

Serious problems might occur if you modify the registry incorrectly. Before you modify it, make a back up the registry for restoration in case problems occur.

The option "Change invalid values in the registry" create a registry backup on the Windows desktop, e.g..

After creating the backup, invalid values in the registry are changed. This corrects the errors: 0x8000FFFF, 0x80240020, 0x80070646, and others.

For restore the registry, select "Merge" on the contextual menu, e.g..

back to top

Reset the Winsock settings:

For restore Internet connections, select the "Reset the Winsock settings" option.

This option restores Internet access settings, remove any access restrictions and fix errors as 0x8024042C, and others, e.g..

back to top

Restart your PC:

Whenever a system solution process is carried out , it is recommended then restart the computer to save the changes.

You can restart your PC manually or automatically via the option "Restart your PC", this option gives you 1 minute to save the work you find yourself doing, e.g..


Reset Windows Update Components

Reset Windows Update Components it is the first and main option to correct problems in Windows Update.

However , this process requires some threads to avoid problems during the search of a solution.

Suitable method to restore components:

Before starting, remember to make a backup the registry.

Then select the option "Reset Windows Update Components". This option will stop Windows Update services, while cleaning the components and restore the initial settings, e.g..

After, Install the latest Windows Update Agent https://support.microsoft.com/en-us/kb/949104.

Finally, restart your PC to save the changes.

If an error occurs during the process, the Windows services can be found in poor condition and requires repair, e.g..

back to top

Scan all protected system files:

Other option to correct problems is "Scan all protected system files". This option scan for corruptions in Windows system files and restore corrupted files, e.g..

Remember restart your PC to save the changes.


Repair

Repair Windows

Windows updates and service packs may fail to install if there are corruption errors. For example, an update might not install if a system file is damaged.

The DISM or System Update Readiness tool may help you to fix some Windows corruption errors.

DISM for Windows 8, Windows 8.1 and Windows 10:

The Deployment Image Servicing and Management (DISM.exe) is a command-line tool that can be used to fix Windows corruption errors.

The Reset Windows Update Tool incorporates lines about DISM commands to repair Windows. The options of repair with DISM are:

Scan the image to check for corruption

Check the detected corruptions

Repair the image

Clean up the superseded components

For repair Windows, select these options in the same sequence. Selecting each option, a process message should appear, e.g..

It may take several minutes for the command operation to be complete. Remember restart your PC after executing each command.

For Windows Vista and Windows 7, use System Update Readiness tool: https://support.microsoft.com/en-us/kb/947821#bookmark-checksur.

If Windows is non-repairable, you should reinstall the system.


Installing

Installing Updates

The processes described in this document allow us to fix errors in the installation of updates. However, it is necessary to have other considerations when installing updates of Windows.

Windows Update:

To start installing updates, you can go to Windows Update through of option "Search Updates", e.g..

During the installation of updates, it is recommended to install 5 to 20 updates.

back to top

Online Solutions:

The Reset Windows Update Tool repair some errors on the installing updates. But there are some errors that are not repairable with this tool.

You can find solutions on the website of Microsoft selected the option "Explore other online solutions". This option open the website of Microsoft, e.g..


Final

Endnotes

The Reset Windows Update Tool was developed primarily to Reset Windows Update Components. Over time, they have added new features to improve the user experience.

This document has been created to describe the process sequences for the correct use of Reset Windows Update Tool.

Reference:

How do I reset Windows Update components?: https://support.microsoft.com/en-us/kb/971058.

Use the System File Checker tool to repair missing or corrupted system files: https://support.microsoft.com/en-us/kb/929833.

Fix Windows Update errors by using the DISM or System Update Readiness tool: https://support.microsoft.com/en-us/kb/947821.

back to top

Glossary:

DISM: Deployment Image Servicing and Management is a command-line tool that can be used to service a Windows image.

Fix It: diagnostic program to detect problems of Windows.

Registry: is a database that stores settings for the operating system.

Restore point: is a representation of a stored state of your computer's system files.

SFC: System File Checker is a utility that allows users to scan for corruptions.

Winsock: Windows Sockets API is a technical specification that defines how Windows network software should access network.